Subject: Re: What's cooking in git.git (Jul 2017, #02; Fri, 7)

From: Kaartic Sivaraam <[email-masked]>
Date: Sun, 09 Jul 2017 12:37:08 +0530

On Sat, 2017-07-08 at 15:33 -0700, Junio C Hamano wrote:

> That is how a message that is BCC'ed to you is supposed to look
> like, isn't it?
May be not. rfc5322 (Internet Message Format) seems to clear the
confusion,

    There are three ways in which the "Bcc:" field is used.  In the first case,
    when a message containing a "Bcc:" field is prepared to be sent, the "Bcc:"
    line is removed even though all of the recipients (including those specified
    in the "Bcc:" field) are sent a copy of the message.  In the second
    case, recipients specified in the "To:" and "Cc:" lines each are sent
    a copy of the message with the "Bcc:" line removed as above, but the
    recipients on the "Bcc:" line get a separate copy of the message
    containing a "Bcc:" line.

Until recently, I have only witnessed the second case as a result of
which I was confused. :)

-- 
Kaartic